var debugMode = 2;

// Write to the debug div when in Safari.
// Send a simple alert to Console when in Dashboard.
function DEBUG(str) {
	if (debugMode) {
		if (window.widget || debugMode == 2) {
			alert(str);
		}
	}
}


if (window.widget) {
    widget.onshow = onshow;
}



function DashboardSubmit(form, url)
{
	DEBUG("DashboardSubmit");
	DEBUG("form.name=" + form.name);
	DEBUG("form.method=" + form.method);
	DEBUG("form.action=" + form.action);
	
	// ???? for some reason we cant read the form.action property, so force the caller to pass it in!!
	//var url = form.action;
	// ???? for some reason we cant read the form.action property, so force the caller to pass it in!!
	
	for (var i=0; i<form.elements.length; i++)
	{
		DEBUG("   name=" + form.elements[i].name + " value='" + form.elements[i].value + "'");
		
		if (form.elements[i].value != " ") // openURL does not like spaces??...
		{
			url += (i==0 ? "?" : "&") + form.elements[i].name + "=" + escape(form.elements[i].value);
		}
	}
	
	DEBUG("URL=" + url);
	window.widget.openURL(url);
	return false;
}
function load()
{
	var helloText = document.getElementById("helloText");
	helloText.innerText = getLocalizedString(helloText.innerText);
}

function remove()
{
	// your widget has just been removed from the layer
	// remove any preferences as needed
	// widget.setPreferenceForKey(null, "your-key");
}

function hide()
{
	// your widget has just been hidden stop any timers to
	// prevent cpu usage
}

function show()
{
	// your widget has just been shown.  restart any timers
	// and adjust your interface as needed
}

function showBack(event)
{
	// your widget needs to show the back

	var front = document.getElementById("front");
	var back = document.getElementById("back");

	if (window.widget)
		widget.prepareForTransition("ToBack");

	front.style.display="none";
	back.style.display="block";
	
	if (window.widget)
		setTimeout('widget.performTransition();', 0);
}

function showFront(event)
{
	// your widget needs to show the front

	var front = document.getElementById("front");
	var back = document.getElementById("back");

	if (window.widget)
		widget.prepareForTransition("ToFront");

	front.style.display="block";
	back.style.display="none";
	
	if (window.widget)
		setTimeout('widget.performTransition();', 0);
}

if (window.widget)
{
	widget.onremove = remove;
	widget.onhide = hide;
	widget.onshow = show;
}
